This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1253827 - (CVE-2015-5200) CVE-2015-5200 libvdpau vulnerability in trace functionality
CVE-2015-5200 libvdpau vulnerability in trace functionality
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150831,repor...
: Security
Depends On: 1253829 1258644
Blocks: 1215757 1253830
  Show dependency treegraph
 
Reported: 2015-08-14 15:49 EDT by Florian Weimer
Modified: 2016-11-08 11:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2015-08-14 15:49:05 EDT
It was discovered that the trace functionality of libvdpau can be used to overwrite arbitrary files if the process underwent a trust transition at startup.  This may allow local attackers gain additional privileges.

Acknowledgements:

This issue was discovered by Florian Weimer of Red Hat Product Security.
Comment 2 Florian Weimer 2015-08-31 17:55:40 EDT
External references:

http://lists.x.org/archives/xorg-announce/2015-August/002630.html
Comment 3 Florian Weimer 2015-08-31 17:57:29 EDT
Created libvdpau tracking bugs for this issue:

Affects: fedora-all [bug 1258644]
Comment 4 Fedora Update System 2015-09-04 15:45:50 EDT
libvdpau-1.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-09-24 04:26:44 EDT
libvdpau-1.1.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-11-01 17:19:47 EST
libvdpau-1.1.1-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.